Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribePlacementGroupsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribePlacementGroupsResult

    public class DescribePlacementGroupsResult

extends Object

Constructor Summary
`DescribePlacementGroupsResult()`

Method Summary
`List<PlacementGroup>` | `getPlacementGroups()` Contains information about the specified `PlacementGroups`.
`void` | `setPlacementGroups(Collection<PlacementGroup> placementGroups)` Contains information about the specified `PlacementGroups`.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribePlacementGroupsResult` | `withPlacementGroups(Collection<PlacementGroup> placementGroups)` Contains information about the specified `PlacementGroups`.
`DescribePlacementGroupsResult` | `withPlacementGroups(PlacementGroup... placementGroups)` Contains information about the specified `PlacementGroups`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribePlacementGroupsResult

    public DescribePlacementGroupsResult()

Method Detail

### getPlacementGroups

    public List<PlacementGroup> getPlacementGroups()

  Contains information about the specified `PlacementGroups`.

  Returns:
    Contains information about the specified `PlacementGroups`.

### setPlacementGroups

    public void setPlacementGroups(Collection<PlacementGroup> placementGroups)

  Contains information about the specified `PlacementGroups`.

  Parameters:
    `placementGroups` - Contains information about the specified `PlacementGroups`.

### withPlacementGroups

    public DescribePlacementGroupsResult withPlacementGroups(PlacementGroup... placementGroups)

  Contains information about the specified `PlacementGroups`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `placementGroups` - Contains information about the specified `PlacementGroups`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withPlacementGroups

    public DescribePlacementGroupsResult withPlacementGroups(Collection<PlacementGroup> placementGroups)

  Contains information about the specified `PlacementGroups`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `placementGroups` - Contains information about the specified `PlacementGroups`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.